Replace category mappings
curl --request POST \
--url https://api.redbark.com/v2/syncs/{id}/category_mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Redbark-Version: <api-key>' \
--data '
{
"mappings": [
{
"source": "<string>",
"destination_category": "<string>",
"destination_category_name": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Redbark-Version': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
mappings: [
{
source: '<string>',
destination_category: '<string>',
destination_category_name: '<string>'
}
]
})
};
fetch('https://api.redbark.com/v2/syncs/{id}/category_mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/syncs/{id}/category_mappings"
payload = { "mappings": [
{
"source": "<string>",
"destination_category": "<string>",
"destination_category_name": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"source": "<string>",
"destination_category": "<string>",
"destination_category_name": "<string>"
}
],
"next_page_url": "<string>",
"previous_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Syncs
Replace category mappings
Replaces the full set of provider-to-destination category mappings for this sync. The sync must have a destination; each source category can appear at most once.
POST
/
syncs
/
{id}
/
category_mappings
Replace category mappings
curl --request POST \
--url https://api.redbark.com/v2/syncs/{id}/category_mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Redbark-Version: <api-key>' \
--data '
{
"mappings": [
{
"source": "<string>",
"destination_category": "<string>",
"destination_category_name": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Redbark-Version': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
mappings: [
{
source: '<string>',
destination_category: '<string>',
destination_category_name: '<string>'
}
]
})
};
fetch('https://api.redbark.com/v2/syncs/{id}/category_mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/syncs/{id}/category_mappings"
payload = { "mappings": [
{
"source": "<string>",
"destination_category": "<string>",
"destination_category_name": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"source": "<string>",
"destination_category": "<string>",
"destination_category_name": "<string>"
}
],
"next_page_url": "<string>",
"previous_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Authorizations
Authorization: Bearer rbk_live_...
The API release your integration is built against, e.g. 2026-10-01.wattle. Required on every request.
Path Parameters
The id of the object.
Example:
"sync_8Pq2Rs4tUv6wXy8zAb1cDe"
Body
application/json
Show child attributes
Show child attributes
⌘I